View Issue Details

IDProjectCategoryView StatusLast Update
0034606FPCDocumentationpublic2018-11-29 16:16
ReporterKai BurghardtAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSGNU/LinuxNOS Version4.2
Product Version3.0.4Product Build3.0.4+dfsg-11 [2017/12/30] 
Target Version3.2.0Fixed in Version3.3.1 
Summary0034606: (simple) type helpers specifies illegal {$mode objpas}
DescriptionAs per description in the list before the example, the mode ObjFPC is required.
TagsNo tags attached.
Fixed in Revision1521
FPCOldBugId
FPCTarget
Attached Files
  • ref.tex.patch (270 bytes)
    --- ref.tex~	2018-11-25 23:15:15.372401430 +0000
    +++ ref.tex	2018-11-25 23:15:15.372401430 +0000
    @@ -7527,7 +7527,7 @@
     \end{itemize}
     The following gives an idea of the possibilities:
     \begin{verbatim}
    -{$mode objpas}
    +{$mode objfpc}
     {$modeswitch typehelpers}
     
     type
    
    ref.tex.patch (270 bytes)

Activities

Kai Burghardt

2018-11-26 00:20

reporter  

ref.tex.patch (270 bytes)
--- ref.tex~	2018-11-25 23:15:15.372401430 +0000
+++ ref.tex	2018-11-25 23:15:15.372401430 +0000
@@ -7527,7 +7527,7 @@
 \end{itemize}
 The following gives an idea of the possibilities:
 \begin{verbatim}
-{$mode objpas}
+{$mode objfpc}
 {$modeswitch typehelpers}
 
 type
ref.tex.patch (270 bytes)

Kai Burghardt

2018-11-26 00:31

reporter   ~0112196

Also some cosmetics:

--- ref.tex~ 2018-11-25 23:26:11.714060336 +0000
+++ ref.tex 2018-11-25 23:26:11.714060336 +0000
@@ -7553,7 +7553,7 @@
 procedure TLongIntHelper.DoPrint;

 begin
- Writeln('Value :',Self);
+ Writeln('Value: ',Self);
 end;

 var

Michael Van Canneyt

2018-11-29 16:16

administrator   ~0112257

Applied patch, thank you very much!

Issue History

Date Modified Username Field Change
2018-11-26 00:20 Kai Burghardt New Issue
2018-11-26 00:20 Kai Burghardt Status new => assigned
2018-11-26 00:20 Kai Burghardt Assigned To => Michael Van Canneyt
2018-11-26 00:20 Kai Burghardt File Added: ref.tex.patch
2018-11-26 00:31 Kai Burghardt Note Added: 0112196
2018-11-29 16:16 Michael Van Canneyt Fixed in Revision => 1521
2018-11-29 16:16 Michael Van Canneyt Note Added: 0112257
2018-11-29 16:16 Michael Van Canneyt Status assigned => resolved
2018-11-29 16:16 Michael Van Canneyt Fixed in Version => 3.3.1
2018-11-29 16:16 Michael Van Canneyt Resolution open => fixed
2018-11-29 16:16 Michael Van Canneyt Target Version => 3.2.0